import { JSONSchema4 } from 'json-schema';
/**
 *
 *     io.k8s.api.extensions.v1beta1.Deployment
 *     |--------- ^ -------|  ^  ^ ^ |---^----|
 *                |           |  | |     |
 *  - namespace --+           |  | |     |
 *  - major ------------------+  | |     |
 *  - level ---------------------+ |     |
 *  - subversion ------------------+     |
 *  - basename --------------------------+
 */
export interface ApiTypeName {
    basename: string;
    namespace: string;
    fullname: string;
    version?: ApiTypeVersion;
}
interface ApiTypeVersion {
    raw: string;
    level: ApiLevel;
    major: number;
    subversion: number;
}
declare enum ApiLevel {
    ALPHA = "alpha",
    BETA = "beta",
    STABLE = "stable"
}
/**
 * Parses a fully qualified type name such as to it's components.
 */
export declare function parseApiTypeName(fullname: string): ApiTypeName;
export declare function safeParseJsonSchema(text: string): JSONSchema4;
export {};
